# Rosensteinquartier CityGML LoD1 Building Model

The Rosensteinquartier CityGML LoD1 building model is based on the publicly available [urban design document](https://www.asp-stuttgart.de/portfolio-items/internationaler-wettbewerb-rosenstein-stuttgart) for the new Rosensteinquartier.

For the mentioned CityGML building model to be an approximate of the Rosensteinquartier's urban design document, first, approximate building footprints were manually extracted and georeferenced using QGIS. Then, based on the distribution of the total floor area (420,260 m²) in different building functions (boundary condition),  i.e. 289.650 m² residential and the rest non-residential (19.770 m² school, 12.000 m² museum, 98.840 m² offices ; schools and museums should be single-use buildings, 50% of offices can be single use buildings and the other 50% be mixed-use buildings with residential), an approximate 3D building model was generated using rule based modelling (CGA rule file) via ArcGIS CityEngine. Finally, since CityEngine doesn't support export functionality to CityGML, using Feature Manipulation Engine (FME), 3D multipatch shapefile of Rosensteinquartier exported from CityEngine was then converted to CityGML LoD1 building model.

The Rosensteinquartier CityGML LoD1 building model contains the following attributes for each building and their related building parts:

1. Building Function as per [SIG3D codelist](http://www.sig3d.org/codelists/citygml/2.0/building/2.0/_AbstractBuilding_class.xml)
2. Total Floor Area (m²)
3. Building Footprint Area (m²)
4. Building Height (m)
5. Number of storey above ground
6. Average storey height above ground (m)
7. Year of Construction
